lt-comp(1)

NAME
lt-comp - This application is part of the lexical processing modules and tools ( lttoolbox )

This tool is part of the apertium machine translation architecture: http://www.apertium.org.

SYNOPSIS
lt-comp [ lr | rl ] dictionary_file output_file

DESCRIPTION
lt-comp Is the application responsible of compiling dictionaries used by lt-proc in Apertium into a compact and efficient representation (a class of finite-state transducers called augmented letter transducers).

OPTIONS

lr  The resulting transducer will process dictionary entries left-to-right.

rl  The resulting transducer will process dictionary entries right-to-left.

FILES
dictionary_file The input dictionary.

output_file The compiled dictionary (a finite state transducer).

SEE ALSO
lt-proc(1), lt-expand(1), apertium-tagger(1), apertium-translator(1).

BUGS
Lots of...lurking in the dark and waiting for you!

AUTHOR
(c) 2005,2006 Universitat d'Alacant / Universidad de Alicante. All rights reserved.